org.apache.calcite.avatica

## Class ColumnMetaData.AvaticaType

- java.lang.Object
- - org.apache.calcite.avatica.ColumnMetaData.AvaticaType

Direct Known Subclasses:
  ColumnMetaData.ArrayType, ColumnMetaData.ScalarType, ColumnMetaData.StructType

Enclosing class:
  ColumnMetaData

    public static class ColumnMetaData.AvaticaType
    extends Object

Base class for a column type.

### Field Summary

Fields
`int` `id`
`String` `name`
`ColumnMetaData.Rep` `rep` The type of the field that holds the value.

### Constructor Summary

Constructors
Constructor and Description
`AvaticaType(int id, String name, ColumnMetaData.Rep rep)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `columnClassName()`
`boolean` `equals(Object o)`
`static ColumnMetaData.AvaticaType` `fromProto(Common.AvaticaType proto)`
`String` `getName()`
`int` `hashCode()`
`ColumnMetaData.AvaticaType` `setRep(ColumnMetaData.Rep rep)`
`Common.AvaticaType` `toProto()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    public final int id

#### name

    public final String name

#### rep

    public final ColumnMetaData.Rep rep

The type of the field that holds the value. Not a JDBC property.

### Constructor Detail

#### AvaticaType

    public AvaticaType(int id,
                       String name,
                       ColumnMetaData.Rep rep)

### Method Detail

#### columnClassName

    public String columnClassName()

#### getName

    public String getName()

#### setRep

    public ColumnMetaData.AvaticaType setRep(ColumnMetaData.Rep rep)

#### toProto

    public Common.AvaticaType toProto()

#### fromProto

    public static ColumnMetaData.AvaticaType fromProto(Common.AvaticaType proto)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`